Skip to content

Cancel a queued outgoing email

POST
/outgoing-emails/{id}/cancel

Cancels a queued outgoing email before the worker starts sending and restores the draft.

Authorizations

BearerAuth

JWT token from login

Type
HTTP (bearer)
or
AccessToken

Personal access token. Value: Token <your-token>

Type
API Key (header: Authorization)

Parameters

Path Parameters

id*
Type
string
Required

Responses

Canceled

application/json
JSON
{
  
"outgoing_email": {
  
  
"_id": "string",
  
  
"draft": "string",
  
  
"source_email": "string",
  
  
"email_identity": "string",
  
  
"from": "string",
  
  
"to": [
  
  
  
"string"
  
  
],
  
  
"cc": [
  
  
  
"string"
  
  
],
  
  
"bcc": [
  
  
  
"string"
  
  
],
  
  
"subject": "string",
  
  
"body_text": "string",
  
  
"body_html": "string",
  
  
"message_id": "string",
  
  
"in_reply_to": "string",
  
  
"references": [
  
  
  
"string"
  
  
],
  
  
"status": "string",
  
  
"send_after": "string",
  
  
"sent_at": "string",
  
  
"error": "string",
  
  
"attempts": 0,
  
  
"project": "string",
  
  
"host_id": "string",
  
  
"createdAt": "string",
  
  
"updatedAt": "string"
  
},
  
"draft": {
  
  
"_id": "string",
  
  
"source_email": "string",
  
  
"from": "string",
  
  
"to": [
  
  
  
"string"
  
  
],
  
  
"cc": [
  
  
  
"string"
  
  
],
  
  
"bcc": [
  
  
  
"string"
  
  
],
  
  
"subject": "string",
  
  
"body_text": "string",
  
  
"body_html": "string",
  
  
"status": "string",
  
  
"generated_by_triage": true,
  
  
"confidence": 0,
  
  
"project": "string",
  
  
"host_id": "string",
  
  
"createdAt": "string",
  
  
"updatedAt": "string"
  
}
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI